| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
interface_options_tag Struct Reference

Holds the full set of configuration options for a single capture interface session. More...

`#include <capture_opts.h>`

## Public Attributes
char * | name
char * | descr
char * | hardware
char * | display_name
char * | ifname
char * | cfilter
int | optimize
bool | has_snaplen
int | snaplen
int | linktype
bool | promisc_mode
interface_type | if_type
char * | extcap
char * | extcap_fifo
GHashTable * | extcap_args
GPid | extcap_pid
void * | extcap_pipedata
GString * | extcap_stderr
unsigned | extcap_stdout_watch
unsigned | extcap_stderr_watch
char * | extcap_control_in
char * | extcap_control_out
unsigned | extcap_control_in_watch
unsigned | extcap_control_out_watch
GAsyncQueue * | extcap_control_out_q
int | buffer_size
bool | monitor_mode
char * | timestamp_type
int | timestamp_type_id

## Detailed Description

Holds the full set of configuration options for a single capture interface session.

## Member Data Documentation

## ◆ buffer_size

int interface_options_tag::buffer_size

Capture buffer size in megabytes requested from the kernel.

## ◆ cfilter

char* interface_options_tag::cfilter

Capture filter string applied to this interface.

## ◆ descr

char* interface_options_tag::descr

User-friendly description of the interface; may be NULL if unavailable.

## ◆ display_name

char* interface_options_tag::display_name

Name displayed in the console and title bar.

## ◆ extcap

char* interface_options_tag::extcap

Path to the extcap executable for this interface; NULL if not an extcap interface.

## ◆ extcap_args

GHashTable* interface_options_tag::extcap_args

Key-value argument table passed to the extcap executable.

## ◆ extcap_control_in

char* interface_options_tag::extcap_control_in

Path to the extcap control input FIFO.

## ◆ extcap_control_in_watch

unsigned interface_options_tag::extcap_control_in_watch

GLib I/O watch ID for the extcap control input FIFO.

## ◆ extcap_control_out

char* interface_options_tag::extcap_control_out

Path to the extcap control output FIFO.

## ◆ extcap_control_out_q

GAsyncQueue* interface_options_tag::extcap_control_out_q

Asynchronous queue to receive control out to send

## ◆ extcap_control_out_watch

unsigned interface_options_tag::extcap_control_out_watch

GLib I/O watch ID for the extcap control input FIFO.

## ◆ extcap_fifo

char* interface_options_tag::extcap_fifo

Path to the FIFO or pipe used to receive data from the extcap process.

## ◆ extcap_pid

GPid interface_options_tag::extcap_pid

PID of the running extcap process, or WS_INVALID_PID if not running.

## ◆ extcap_pipedata

void* interface_options_tag::extcap_pipedata

Internal state for reading data from the extcap pipe.

## ◆ extcap_stderr

GString* interface_options_tag::extcap_stderr

Accumulated stderr output from the extcap process.

## ◆ extcap_stderr_watch

unsigned interface_options_tag::extcap_stderr_watch

GLib I/O watch ID for the extcap stderr pipe.

## ◆ extcap_stdout_watch

unsigned interface_options_tag::extcap_stdout_watch

GLib I/O watch ID for the extcap stdout pipe.

## ◆ hardware

char* interface_options_tag::hardware

Description of the interface hardware.

## ◆ has_snaplen

bool interface_options_tag::has_snaplen

Whether a snapshot length limit is set.

## ◆ if_type

interface_type interface_options_tag::if_type

Interface type classification (e.g. standard, pipe, extcap).

## ◆ ifname

char* interface_options_tag::ifname

If non-NULL, overrides the interface name written into Interface Description Blocks (IDBs).

## ◆ linktype

int interface_options_tag::linktype

Selected link-layer type (DLT) for this capture session.

## ◆ monitor_mode

bool interface_options_tag::monitor_mode

Whether monitor mode (rfmon) is requested for this interface.

## ◆ name

char* interface_options_tag::name

Interface name supplied to libpcap/WinPcap/Npcap to identify the interface.

## ◆ optimize

int interface_options_tag::optimize

Whether the capture filter is compiled with optimization enabled: 1 = yes, 0 = no.

## ◆ promisc_mode

bool interface_options_tag::promisc_mode

Whether promiscuous mode is requested.

## ◆ snaplen

int interface_options_tag::snaplen

Snapshot length in bytes; only meaningful if `has_snaplen` is true.

## ◆ timestamp_type

char* interface_options_tag::timestamp_type

Requested timestamp type as a string; NULL if using the default.

## ◆ timestamp_type_id

int interface_options_tag::timestamp_type_id

Numeric timestamp type passed to pcap_set_tstamp_type(); valid only when `timestamp_type` is non-NULL.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/capture_opts.h